/*******************************************************************************
 * Copyright 2018 Frank Mnster
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.qrcodehandler.bcdsepa;

/**
 * BcdDataTransferObjcetDefinition Exception
 * 
 * @author Frank Muenster
 * @version 1.0
 * 
 */
public class BcdDataTransferObjcetDefinitionException extends Exception {

	/**
	 * serialVersionUID for this class
	 */
	private static final long serialVersionUID = -8397319525721086430L;

	/**
	 * Constructs a new BcdDataTransferObjcetDefinitionException
	 * 
	 * @see java.lang.Exception#Exception()
	 */
	public BcdDataTransferObjcetDefinitionException() {
		super();
	}

	/**
	 * Constructs a new BcdDataTransferObjcetDefinitionException
	 * 
	 * @param message
	 *            the detail message. The detail message is saved for later
	 *            retrieval by the Throwable.getMessage() method.
	 * @see java.lang.Exception#Exception(String message)
	 */
	public BcdDataTransferObjcetDefinitionException(final String message) {
		super(message);
	}

	/**
	 * Constructs a new BcdDataTransferObjcetDefinitionException
	 * 
	 * @param cause
	 *            - the cause (which is saved for later retrieval by the
	 *            Throwable.getCause() method). (A null value is permitted, and
	 *            indicates that the cause is nonexistent or unknown.)
	 * @see java.lang.Exception#Exception(Throwable cause)
	 * 
	 */
	public BcdDataTransferObjcetDefinitionException(final Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs a new BcdDataTransferObjcetDefinitionException
	 * 
	 * @param message
	 *            the detail message. The detail message is saved for later
	 *            retrieval by the Throwable.getMessage() method.
	 * @param cause
	 *            - the cause (which is saved for later retrieval by the
	 *            Throwable.getCause() method). (A null value is permitted, and
	 *            indicates that the cause is nonexistent or unknown.)
	 * @see java.lang.Exception#Exception(String message, Throwable cause)
	 */
	public BcdDataTransferObjcetDefinitionException(final String message, final Throwable cause) {
		super(message, cause);
	}

}
